Module Powershell Teams : un cauchemar [Solved]


 

Table des matières

1.1    Install-Module -Name PowerShellGet -RequiredVersion 1.6.5 -Force    5

1.2    Get-Module -Name PowerShellGet -ListAvailable | Install-Module    5

1.3    Get-Host | Select-Object Version    6

1.4    [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12*    6

 

 

Bonjour

Ce matin je dois installer le module Teams Powershell sur un serveur Skype 2015 executant Windows 2016 Standard edition version 10.0.14393 Build 1493. Ce serveur pour sortir sur internet utilise un proxy renseigné dans IE et qui lui permet de surfer sans authentification préalable.

Depuis Powershell j’ai testé la connection internet de la façon suivante : Invoke-WebRequest http://woshub.com

Hello This morning I have to install the Teams Powershell module on a Skype 2015 server running Windows 2016 Standard edition version 10.0.14393 Build 1493. This server uses a proxy in IE to go out on the internet without authentication.From Powershell I tested the internet connection in the following way: Invoke-WebRequest http://woshub.com

L’article en PDF : https://1drv.ms/b/s!AlKfEdbwpIS_iPtjK6KgCfVNRfuqPw?e=r3voHf

 

Ce qui tend à prouver que la station de travail a bien accès à internet. Donc encore une fois je suis le technet Installer Microsoft Teams PowerShell – Microsoft Teams | Microsoft Docs et je tape dans une session Powershell administrateur la commande suivante

This tends to prove that the workstation has access to the internet. So once again I follow the Install Microsoft Teams PowerShell – Microsoft Teams | Microsoft Docs technet and I type in a Powershell administrator session the following command

WARNING: Unable to download from URI ‘https://go.microsoft.com/fwlink/?LinkID=627338&clcid=0x409’ to  ».

WARNING: Unable to download the list of available providers. Check your internet connection.

Et voilà encore un truc qui va me faire perdre des heures alors même que mon serveur et Powershell ont bien accès à Internet

Si je regarde la configuration de powershell je trouve la configuration suivante

And here is another thing that will make me lose hours even though my server and Powershell have access to the Internet . If I look at the powershell configuration I find the following configuration

On va alors forcer la connexion à passer par le proxy configuré dans Internet Explorer/ We will then force the connection to go through the proxy configured in Internet Explorer

Et on ressaye : retry

Donc après quelques recherches sur le net j’essaye ces deux commandes : Get-PsRepository / Register-PSrepository/ So after some research on the net I try these two commands : Get-PsRepository / Register-PSrepository

Bon a priori je ne suis pas le seul a rencontrer ces problèmes vu ce qui ressort sur Google.

https://techcommunity.microsoft.com/t5/windows-powershell/trying-to-install-module-azuread-but-get-psrepository-quot/m-p/202819

On va essayer d’installer le module suivant

https://www.powershellgallery.com/packages/PowerShellGet/1.6.5

Well, I’m not the only one who has encountered these problems, considering what appears on Google. https://techcommunity.microsoft.com/t5/windows-powershell/trying-to-install-module-azuread-but-get-psrepository-quot/m-p/202819

We will try to install the following module : https://www.powershellgallery.com/packages/PowerShellGet/1.6.5

Install-Module -Name PowerShellGet -RequiredVersion 1.6.5 -Force

On essaye aussi cela / let’ try this

Get-Module -Name PowerShellGet -ListAvailable | Install-Module

Bon rien ne fonctionne. On vérifie la version de Powershell sur le serveur / Well, nothing works. We check the version of powershell on the server

Get-Host | Select-Object Version

On essaye la même commande sur un serveur Skype Même version mais qui n’as pas de proxy et qui sort en direct juste pour voir si cela vient du fait que la connexion est proxifiée

We try the same command on a Skype server Same version but without proxy and it goes live just to see if it comes from the fact that the connection is proxified

Même conséquence le module ne s’installe pas depuis un serveur skype connecté en direct sur internet… / Even though the module is not installed from a skype server connected directly to the internet…

[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12*

 

Après plusieurs recherches le problème viendrait de l’utilisation du TLS 1.0 je décide donc de forcer l’usage du TLS 1.2 en tapant la commande suivante dans le fenêtre powershell . After several research the problem would come from the use of TLS 1.0 I decide to force the use of TLS 1.2 by typing the following command in the powershell window

[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12*

Et là soudain le module s’installe mais avec des erreurs / And suddenly the module is installed but with errors

Voyons voir si le module fonctionne. En gros si l’on peut se connecter en Powershell sur le tenant Microsoft Teams / Let’s see if the module works. Basically, if we can connect with powershell on the Microsoft Teams tenant

 

A priori le module ne s’installe pas. Je recommence avec l’option -Allowclobber. Cette fois ci plus d’erreur / The module doesn’t seem to be installed. I try again with the -Allowclobber option. This time no more error

Et cette fois ci … ça a l’air de fonctionner / And this time … it seems to work

Enfin presque parce qu’une fois rentré mon login voici ce que j’obtiens/ Well, almost, because once I entered my login, this is what I get.

Bon je décide de redémmarer mon serveur / So I decide to restart my server. Même problème après redémarrage / Same problem after reboot

Par contre sur la maquette la connexion fonctionne que cela soit avec un compte CloudUser membre du groupe Teams Administrateur ou avec un compte d’admin d’un domaine fédéré.

On the other hand, on the mock-up, the connection works whether it is with a CloudUser account that is a member of the Teams Administrator group or with an admin account of a federated domain


on essaye d’installer le .NET 4.6 Sur l’environnement de maquette mais la… c’est le drame l’installation me dit que le module est déjà installé alors que visiblement il ne l’est pas / we try to install the .NET 4.6 on the environment of model but the… it is the drama the installation says to me that the module is already installed whereas obviously it is not

 

Jour Numéro 2

Après avoir recherché un peu partout sur Internet lu les nombreuses publications qui traitent de ce problème j’ai décidé d’installer .NET 4.8 sur le serveur Skype et la, miracle. La connexion avec le module Microsoft Teams fonctionne correctement. / After searching all over the Internet and reading the many publications about this problem, I decided to install .NET 4.8 on the Skype server and there it was. The connection with the Microsoft Teams module works correctly.

 

Votre commentaire

Choisissez une méthode de connexion pour poster votre commentaire:

Logo WordPress.com

Vous commentez à l’aide de votre compte WordPress.com. Déconnexion /  Changer )

Photo Google

Vous commentez à l’aide de votre compte Google. Déconnexion /  Changer )

Image Twitter

Vous commentez à l’aide de votre compte Twitter. Déconnexion /  Changer )

Photo Facebook

Vous commentez à l’aide de votre compte Facebook. Déconnexion /  Changer )

Connexion à %s